<?php
$pagename = "Manage Users";
require "html-first.php";

$menu_a = "Search";
$menu_b = "Filter";
$menu_c = "Add";
$ulmenu = mysqli_real_escape_string($connMain,$_GET['m']);
$showthumb = mysqli_real_escape_string($connMain,$_REQUEST['showthumb']);
$searchselect = mysqli_real_escape_string($connMain,$_GET['searchselect']);
$searchterm = $_GET['searchterm']; // Search Phrase

	if ($searchterm){
	$searchterm = strip_tags($searchterm);
	$searchterm = preg_replace('/ /', $wildcard, $searchterm);
	$searchterm = preg_replace('/,/', $wildcard, $searchterm);
	$searchterm = mysqli_real_escape_string($connMain,$searchterm);
	}

	if (($loggedinname) && ($memid) && ($isstaff)){
	$message =  "Search Users";
	$message2 =  "Select from multiple criteria to search.";
	}
	else{
	$message = "You must be logged in and authorized to view this page";
	$message2 = "You need to log in before you can perform any tasks in this section.";
	echo "<h2>{$message}</h2>{$message2}";
	require "html-second.php";
	exit;
	}

	if ($_POST['doaddfast']){
	$ulmenu = 3;
	}
	elseif (!$ulmenu){
	$ulmenu = 1;
	}

	if ($ulmenu==1){
	$menu_a = "<font color=\"#FFFFFF\"><b>$menu_a</b></font>";
	$message = "Search Users";
	$message2 = "Select from multiple criteria to search.<br><br>";
	}
	elseif ($ulmenu==2){
	$menu_b = "<font color=\"#FFFFFF\"><b>$menu_b</b></font>";
	$message = "Filter Users";
	$message2 = "Select from multiple criteria to filter.<br><br>";
	}
	elseif ($ulmenu==3){
	$menu_c = "<font color=\"#FFFFFF\"><b>$menu_c</b></font>";
	$message = "Quick-Add Users";
	$message2 = "Add a new user if an account has not already been created.<br><br>";
	}

	if ($showthumb){
	$checkedThumb = " checked";
	}

echo "<br>";

	if (($loggedinname) && ($memid) && ($isstaff)){
	echo "<div id=\"$nav_menuCss\"><ul>
	<li><a href=\"{$http}/ManageUsers.php?m=1\">$menu_a</a></li>
	<li><a href=\"{$http}/ManageUsers.php?m=2\">$menu_b</a></li>
	<li><a href=\"{$http}/ManageUsers.php?m=3\">$menu_c</a></li>
	</ul></div><div class=\"spacer30\"></div><div class=\"contactbox tableshadow\">";

		if ($ulmenu==1){
		// Generate to and from form
		$field = mysqli_real_escape_string($connMain,$_REQUEST['field']);
		$wildcard = "%";

			if (!$searchterm){
			$searchterm = "Search Term(s)"; // Default Search Box Value
			}

		$selectfields = array(
		  'first' => 'First Name',
		  'last' => 'Last Name',
		  'address1' => 'Street Name',
		  'city' => 'City',
		  'allergies' => 'Allergies',
		  'kidzpoint_room' => 'Kidzpoint Room #',
		  'spiritual_gifts' => 'Spiritual Gifts',
		  'remarks' => 'Added Remarks',
		  );

		$options = '';

			foreach($selectfields as $code => $name) {

				if ($field==$code){
				$selected = " selected";
				}
				else{
				$selected = "";
				}

			$options .= "<option$selected value=\"$code\">$name</option>\n";
			}

		echo "<div align=\"left\">
		<table width=\"85%\" border=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#C0C0C0\">
		<tr><td valign=\"top\"><h3>{$message}</h3><form method=\"GET\">
		<table><tr><td>
		<input type=\"text\" size=\"24\" onfocus=\"if(this.value=='Search Term(s)')this.value='';\" value=\"$searchterm\" name=\"searchterm\">
		</td><td>
		<select size=\"1\" name=\"field\">
		$options
		</select>
		</td></tr></table>
		<table><tr><td width=5></td><td>Show Pic? </td><td><input$checkedThumb type=\"checkbox\" value=\"1\" name=\"showthumb\"></td>
		<td><input type=\"submit\" value=\"Search\" id=\"button\"></td></tr></table>
		
		</form></td></tr></table>";
			if (($searchterm) && ($searchterm!='Search Term(s)')){
			echo "<br><hr><br>";
			$query = "SELECT id, first, last, thumb, pic, parent_id, spiritual_gifts, allergies, address1, city FROM users WHERE $field LIKE '%$searchterm%' ORDER BY last asc, first asc";
			$result = $connMain->query($query);
			$result->data_seek(0);

				while ($rc = $result->fetch_assoc()){
				$ischild = "";
				$mid = $rc["id"];
				$first = ucwords($rc["first"]);
				$last = ucwords($rc["last"]);
				$parent_id = $rc["parent_id"];
				$spiritual_gifts = $rc["spiritual_gifts"];
				$sallergies = $rc["allergies"];
				$address1 = $rc["address1"];
				$city = $rc["city"];
				$cthumb = $rc["thumb"];
				$cpic = $rc["pic"];

					if ($parent_id){
					$ischild = " (Child)";
					}

					if ($showthumb){
						if (!$cthumb){
						$cthumb = "awaiting.gif";
						$cpic = "awaiting.gif";
						}

					$thumb = "<br><a href=\"pictureviewer.php?t={$cpic}\"><img border=\"0\" src=\"pics1/$cthumb\"></a><br>";
					}

				// Special Searches
				$searchterm2 = "/$searchterm/i";
				$kwr = "<span style=\"background-color: #FFFF00\">$searchterm</span>";

					if ($field=='spiritual_gifts'){
						if (preg_match("/$searchterm/i", $spiritual_gifts)){
						$spiritual_gifts = preg_replace($searchterm2, $kwr, $spiritual_gifts);
						}
					$field_result = "<br>$spiritual_gifts<hr>";
					}
					elseif ($field=='allergies'){
						if (preg_match("/$searchterm/i", $sallergies)){
						$sallergies = preg_replace($searchterm2, $kwr, $sallergies);
						}
					$field_result = "<br>$sallergies<hr>";
					}
					elseif ($field=='city'){
						if (preg_match("/$searchterm/i", $city)){
						$city = preg_replace($searchterm2, $kwr, $city);
						}
					$field_result = "<br>$city<hr>";
					}
					elseif ($field=='address1'){
						if (preg_match("/$searchterm/i", $address1)){
						$address1 = preg_replace($searchterm2, $kwr, $address1);
						}
					$field_result = "<br>$address1<hr>";
					}

				$results = "<b><a href=\"{$http}/?gid={$mid}\">$last, $first</a></b>{$ischild}{$field_result}$thumb<br>";
				echo "$results";
				}
			}
		echo "<br><br></div></div>";
		}
		elseif ($ulmenu==2){
		echo "<div align=\"left\">
		<table width=\"85%\" border=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#C0C0C0\"><tr>";
		$selectfields2 = array(
		  'discipleship1' => 'Discipleship 1',
		  'discipleship2' => 'Discipleship 2',
		  'discipleship3' => 'Discipleship 3',
		  'discipleship4' => 'Discipleship 4',
		  'discipleship0' => 'No Discipleship',
		  'baptized' => 'Baptized',
		  'not_baptized' => 'Not Baptized',
		  'remarks' => 'Staff Remarks',
		  'married' => 'Married',
		  'single' => 'Single',
		  'male_adults' => 'Male Adults',
		  'female_adults' => 'Female Adults',
		  'male_youth' => 'Male Youth',
		  'female_youth' => 'Female Youth',
		  'male_children' => 'Male Children',
		  'female_children' => 'Female Children',
		  'visitors' => 'Visitors',
		  'members' => 'Members',
		  'admin' => 'Administrative',
		  'staff' => 'Staff',
		  'children' => 'All Children',
		  'youth' => 'All Youth',
		  'allergies' => 'Allergies',
		  );

		$options2 = '';

			foreach($selectfields2 as $code2 => $name2) {

				if ($searchselect==$code2){
				$selected2 = " selected";
				}
				else{
				$selected2 = "";
				}

			$options2 .= "<option$selected2 value=\"$code2\">$name2</option>\n";
			}

		echo "<td valign=\"top\"><h3>Filter</h3>
		<form method=\"GET\">
		<table><tr><td><select size=\"1\" name=\"searchselect\">
		$options2
		</select></td>
		<td>Show Pic?</td><td><input$checkedThumb type=\"checkbox\" value=\"1\" name=\"showthumb\"></td></tr></table><br>
		<input type=\"hidden\" value=\"2\" name=\"m\">
		<input type=\"submit\" value=\"Search\" id=\"button\">
		</form></td></tr></table>";

			if ($searchselect){
			echo "<br><hr><br>";

				if ($searchselect=='baptized'){
				$sqlQ = "baptized ='1'";
				}
				elseif ($searchselect=='not_baptized'){
				$sqlQ = "baptized !='1'";
				}
				elseif ($searchselect=='discipleship1'){
				$sqlQ = "discipleship ='1'";
				}
				elseif ($searchselect=='discipleship2'){
				$sqlQ = "discipleship ='2'";
				}
				elseif ($searchselect=='discipleship3'){
				$sqlQ = "discipleship ='3'";
				}
				elseif ($searchselect=='discipleship4'){
				$sqlQ = "discipleship ='4'";
				}
				elseif ($searchselect=='discipleship0'){
				$sqlQ = "discipleship ='0' and parent_id ='0'";
				}
				elseif ($searchselect=='remarks'){
				$sqlQ = "remarks !=''";
				}
				elseif ($searchselect=='married'){
				$sqlQ = "marital_status ='m'";
				}
				elseif ($searchselect=='single'){
				$sqlQ = "marital_status ='s' and parent_id ='0'";
				}
				elseif ($searchselect=='male_adults'){
				$sqlQ = "gender ='1' and parent_id ='0'";
				}
				elseif ($searchselect=='female_adults'){
				$sqlQ = "gender ='2' and parent_id ='0'";
				}
				elseif ($searchselect=='male_children'){
				$sqlQ = "gender ='1' and parent_id !='0'";
				}
				elseif ($searchselect=='female_children'){
				$sqlQ = "gender ='2' and parent_id !='0'";
				}
				elseif ($searchselect=='male_youth'){
				$sqlQ = "gender ='1' and parent_id !='0' and age_cat ='2'";
				}
				elseif ($searchselect=='female_youth'){
				$sqlQ = "gender ='2' and parent_id !='0' and age_cat ='2'";
				}
				elseif ($searchselect=='visitors'){
				$sqlQ = "access_level ='4' and parent_id ='0'";
				}
				elseif ($searchselect=='members'){
				$sqlQ = "access_level ='3' and parent_id ='0'";
				}
				elseif ($searchselect=='admin'){
				$sqlQ = "access_level ='2' and parent_id ='0'";
				}
				elseif ($searchselect=='staff'){
				$sqlQ = "access_level ='1' and parent_id ='0' and id !='2'";
				}
				elseif ($searchselect=='children'){
				$sqlQ = "parent_id !='0'";
				}
				elseif ($searchselect=='youth'){
				$sqlQ = "age_cat ='2'";
				}
				elseif ($searchselect=='allergies'){
				$sqlQ = "allergies !=''";
				}

			$query = "SELECT id, first, last, title, thumb, pic, parent_id, baptized, age_cat, allergies, remarks FROM users WHERE $sqlQ ORDER BY last asc, first asc";
			$result = $connMain->query($query);
			$result->data_seek(0);

				while ($rc = $result->fetch_assoc()){
				$ischild = "";
				$mid = $rc["id"];
				$first = $rc["first"];
				$last = $rc["last"];
				$ntitle = $rc["title"];
				$parent_id = $rc["parent_id"];
				$spiritual_gifts = $rc["spiritual_gifts"];
				$sallergies = $rc["allergies"];
				$address1 = $rc["address1"];
				$city = $rc["city"];
				$cthumb = $rc["thumb"];
				$cpic = $rc["pic"];
				$cage_cat = $rc["age_cat"];
				$remarks = $rc["remarks"];

					if ($parent_id){
						if ($cage_cat==2){
						$ischild = " (Youth)";
						}
						else{
						$ischild = " (Child)";
						}
					}


					if ($searchselect=='allergies'){
					$field_result = "<br>$sallergies<hr>";
					}

					if ($searchselect=='remarks'){
					$field_result = "<br>$remarks<hr>";
					}

					if ($ntitle){
					$ntitle = " ($ntitle)";
					}

					if ($showthumb){

						if (!$cthumb){
						$cthumb = "awaiting.gif";
						$cpic = "awaiting.gif";
						}

					$thumb = "<a href=\"pictureviewer.php?t={$cpic}\"><img border=\"0\" src=\"pics1/$cthumb\"></a><br>";
					}
				$results = "<b><a href=\"{$http}/?gid={$mid}\">$last, $first</a></b>{$ntitle}{$ischild}{$field_result}<br>$thumb";
				echo "$results";
				}
			}
		echo "<br><br></div></div>";
		}
		elseif ($ulmenu==3 || $_POST['doaddfast']){

			if($_POST['doaddfast']){
			$post_first = $_POST['requiredFirst_Name'];
			$post_last = $_POST['requiredLast_Name'];
			$post_relationship = $_POST['relationship'];
			$post_relationshipId = $_POST['relationshipId'];
			$post_gender = $_POST['gender'];
			// Check if user exists first
				if(!$_POST['override']){
				$query = "SELECT id, first, last FROM users WHERE first ='$post_first' and last ='$post_last' LIMIT 1";
				$resulta = $connMain->query($query);
				$resulta->data_seek(0);
				$ra = $resulta->fetch_assoc();
				$mia = $ra["id"];
				$firsta = $ra["first"];
				$lasta = $ra["last"];
				}

				// Uh oh user already exists
				if ($mia){
				echo "The user \"$firsta $lasta\" already exists in the database. Add again? 
				<form method=\"post\" action=\"ManageUsers.php\">
				<input name=\"m\" type=\"hidden\" value=\"3\">
				<input name=\"requiredFirst_Name\" type=\"hidden\" value=\"$post_first\">
				<input name=\"requiredLast_Name\" type=\"hidden\" value=\"$post_last\">
				<input name=\"gender\" type=\"hidden\" value=\"$post_gender\">
				<input name=\"relationship\" type=\"hidden\" value=\"$post_relationship\">
				<input name=\"relationshipId\" type=\"hidden\" value=\"$post_relationshipId\">
				<input name=\"override\" type=\"hidden\" value=\"1\">
				<input name=\"doaddfast\" type=\"hidden\" value=\"1\">
				<input type=\"submit\" value=\"Yes, Add This User\">
				</form>";
				}
				elseif(($post_first) && ($post_last)){
					if (($post_relationshipId) && ($post_relationship)){
					$query = "SELECT id, spouse_id, first, last FROM users WHERE id ='$post_relationshipId' LIMIT 1";
					$resultb = $connMain->query($query);
					$resultb->data_seek(0);
					$rz = $resultb->fetch_assoc();

					$miz = $rz["id"];
					$firstz = $rz["first"];
					$lastz = $rz["last"];
					$spouse_idz = $rz["spouse_id"];

						if ($post_relationship=='c'){
						$rel = " as a child of $firstz $lastz.";
						$query = "INSERT INTO `users` (`first`, `last`, `parent_id`, `gender`) VALUES ('$post_first','$post_last','$post_relationshipId','$post_gender')";
						$queryExec = $connMain->query($query);

						$query = "SELECT id FROM users WHERE first ='$post_first' and last ='$post_last' order by id desc LIMIT 1";
						$resultd = $connMain->query($query);
						$resultd->data_seek(0);
						$rn = $resultd->fetch_assoc();
						$newmemid = $rn["id"];
						$newId = " You can <a href=\"editcontact.php?id=$newmemid\">add more information</a> now if you wish.";
						}
						elseif ($post_relationship=='s'){
							if ($spouse_idz){
							$rel = " as a new user. The spouse selected is already married!";
							}
							else{
							$rel = " as a spouse of $firstz $lastz.";
							$query = "INSERT INTO `users` (`first`, `last`, `spouse_id`, `marital_status`, `gender`) VALUES ('$post_first','$post_last','$post_relationshipId','m','$post_gender')";
							$queryExec = $connMain->query($query);

							$query = "SELECT id FROM users WHERE first ='$post_first' and last ='$post_last' order by id desc LIMIT 1";
							$resultd = $connMain->query($query);
							$resultd->data_seek(0);
							$rn = $resultd->fetch_assoc();
							$newmemid = $rn["id"];
							$newId = " You can <a href=\"editcontact.php?id=$newmemid\">add more information</a> now if you wish.";
							$query = "update users set spouse_id='$newmemid', marital_status='m' where id ='$post_relationshipId' LIMIT 1";
							$queryExec = $connMain->query($query);	
							}
						}
					}
					else{
					$rel = " as a new user.";
					$query = "INSERT INTO `users` (`first`, `last`, `gender`) VALUES ('$post_first','$post_last','$post_gender')";
					$queryExec = $connMain->query($query);

					$query = "SELECT id FROM users WHERE first ='$post_first' and last ='$post_last' order by id desc LIMIT 1";
					$resultd = $connMain->query($query);
					$resultd->data_seek(0);
					$rn = $resultd->fetch_assoc();
					$newmemid = $rn["id"];
					$newId = " You can <a href=\"editcontact.php?id=$newmemid\">add more information</a> now if you wish.";
					}
				echo "The user $post_first $post_last was added$rel$newId";
				}
				else{
				echo "Missing first or last name. Did not insert user.";
				}
			}

		// Find Families
		$query = "SELECT id, first, last FROM users WHERE parent_id ='0' ORDER BY last asc, first asc";
		$resultcd = $connMain->query($query);
		$resultcd->data_seek(0);

			while ($rcd = $resultcd->fetch_assoc()){
			$midd = $rcd["id"];
			$firstd = $rcd["first"];
			$lastd = $rcd["last"];
			$options2 .= "<option value=\"$midd\">$lastd, $firstd</option>\n";
			}

		echo "<h2>{$message}</h2>{$message2}
		<div align=\"left\">
		<form method=\"post\" action=\"ManageUsers.php\" onSubmit=\"return checkrequired(this)\" enctype=\"multipart/form-data\" id=\"1\">
		<table width=\"85%\" border=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#C0C0C0\">
		<div align=\"left\">
		<tr><td><b>First Name *</b></td><td><input name=\"requiredFirst_Name\" type=\"text\" value=\"\" size=\"30\"></td></tr>
		<tr><td><b>Last Name *</b></td><td><input name=\"requiredLast_Name\" type=\"text\" value=\"\" size=\"30\"></td></tr>
		<tr><td>Gender</td><td>
		<select size=\"1\" name=\"gender\">
		<option value=\"1\">Male</option>
		<option value=\"2\">Female</option>
		<option selected value=\"5\">Please Select</option>
		</select>
		</td></tr>
		<tr><td>Relationship</td><td>
		<select size=\"1\" name=\"relationship\">
		<option selected value=\"1\">Optional</option>
		<option value=\"s\">Spouse of:</option>
		<option value=\"c\">Child of:</option>
		</select>

		<select size=\"1\" name=\"relationshipId\">
		<option selected value=\"0\"></option>\n$options2
		</select>
		</td></tr>
		<input name=\"m\" type=\"hidden\" value=\"3\">
		<input name=\"doaddfast\" type=\"hidden\" value=\"1\">
		<input type=\"hidden\" name=\"memid\" value=\"$memid\" />
		<tr><td></td><td><input type=\"submit\" value=\"Add User\"></td></tr></table></div></form></div>";
		}
	}

require "html-second.php";
?>
