<?php
// View reports as admin
$pagename = "Reports";
require "html-first.php";

$getReportType = mysqli_real_escape_string($connMain,$_GET['reportType']);
$gpid = mysqli_real_escape_string($connMain,$_GET['gpid']);

		// Is this from a group?
		if ($getReportType){
		$cGp = preg_match("/GP/i", $getReportType);

			if ($cGp){
			$gpid = preg_replace ("/GP/", "", $getReportType); 
			$getReportType = 3;
			}

		}

	if (($loggedinname) && ($memid) && ($isstaff)){
	$message =  "View Reports";
	$message2 =  "";
	}
	else{
	$message = "You must be logged in and authorized to view this page";
	$message2 = "You need to log in before you can perform any tasks in this section.";
	echo "<h2>{$message}</h2>{$message2}";
	require "html-second.php";
	exit;
	}

	if ($getReportType==1){
	$s1 = " selected";
	}
	elseif ($getReportType==2){
	$s2 = " selected";
	}
	elseif ($getReportType==3){
	$s3 = " selected";
	}
	elseif ($getReportType==4){
	$s4 = " selected";
	}

	// Generate groups that track attendance
	$query = "SELECT id, name FROM groups where trackattendance ='1' order by name asc";
	$result = $connMain->query($query);
	$num_rows = $result->num_rows;
	$result->data_seek(0);

		while ($rd = $result->fetch_assoc()){
		$sgname = $rd["name"];
		$sgid = $rd["id"];

			if ($gpid==$sgid){
			$selectedP = " selected";
			}
			else{
			$selectedP = "";
			}

		$gpseloptions = "$gpseloptions<option$selectedP value=\"GP$sgid\">Group: $sgname</option>";
		}

echo "<p align=\"left\"><h2>{$message}</h2></p>{$message2}
<form method=\"GET\">
<select style=\"width:170px\" size=\"1\" name=\"reportType\">
<option$s1 value=\"1\">Worship Attendance</option>
<option$s2 value=\"2\">Kidzpoint Attendance</option>
<option$s4 value=\"4\">Profile Changes</option>
$gpseloptions
</select>
<input type=\"submit\" value=\"View Report\" class=\"button\"></form>
<hr>";

$isdate = date("Y-m-d"); //
	// Attendance
	if ($getReportType==1 or $getReportType==2 or $getReportType==3){

		if ($getReportType==1){
		$TitleMain = "Worship Attendance";
		$sqlTable = "users_attendance";
		$sqlmemid = "memid";
		$sqlExtra = ", a.numfamily";
		$sql1 = ", sum(numfamily) as sumfamily";
		$sql2 = ", sum(numfamily) as nrfamily, count(memid) as nrmem";
		$sql2b = ", sum(numfamily) as nrfamily, memid";
		$bottomText = "Attendance found on this report can be managed from the <a href=\"Calendar.php\">Staff Calendar</a>. Total Worship Attendance counts the entire number of people present at worship and Kidzpoint.";
		}
		elseif ($getReportType==2){
		$TitleMain = "Childcare Attendance";
		$sqlTable = "kidzpoint";
		$sqlmemid = "child_id";
		$sqlExtra = "";
		$bottomText = "Attendance found on this report is managed when checking in children on <a href=\"Childcare.php\">childcare check-in</a>.";
		}
		elseif ($getReportType==3){
		$query = "SELECT name FROM groups where id ='$gpid'";
		$result = $connMain->query($query);
		$result->data_seek(0);
		$rd = $result->fetch_assoc();
		$gpname = $rd["name"];
		$TitleMain = "$gpname Group Attendance";
		$sqlTable = "group_attendance";
		$sqlmemid = "memid";
		$sqlExtra = "";
		$sqlwhere = " and a.groupid ='$gpid'";
		$sqlTotalGraph = " AND groupid ='$gpid'";
		$sqlTotalGraphWhere = " WHERE groupid ='$gpid'";
		$bottomText = "Attendance found on this report is managed from <a href=\"group-management.php?getgroupid=$gpid\">$gpname group management</a>.";
		}

	echo "<h2>$TitleMain</h2><table border=\"1\" cellspacing=\"0\" cellpadding=\"5\" width=\"100%\" style=\"BORDER-COLLAPSE: collapse\" class=\"tableshadow\">
	<tr><td>Date-><br>Total Present-></td>";
	// Find dates to print first

	$thisYear = date("Y");
	$patterns[0] = '/2012-/';
	$patterns[0] = '/2013-/';
	$patterns[1] = '/2014-/';
	$patterns[2] = '/2015-/';
	$patterns[2] = '/2016-/';
	$patterns[2] = '/2017-/';
	$patterns[2] = '/2018-/';
	$patterns[2] = '/2019-/';
	$patterns[2] = '/2020-/';
	$patterns[2] = '/2021-/';
	$patterns[2] = '/2022-/';
	$patterns[2] = '/2023-/';
	$patterns[2] = '/2024-/';
	$patterns[2] = '/2025-/';
	$datecount = 0;
	$ddateArray = array();

	$query = "SELECT date$sql2 FROM $sqlTable$sqlTotalGraphWhere GROUP BY date ORDER BY date desc LIMIT 15";
	$result2 = $connMain->query($query);
	$result2->data_seek(0);

		while ($rd = $result2->fetch_assoc()){

			if ($datecount <= 14){
			$ddate = $rd["date"];

				if ($getReportType==1){	
				$dnrfamily = $rd["nrfamily"];
				$dnrmem = $rd["nrmem"];
				$countTotalR = ($dnrmem + $dnrfamily);
				}

			$ddateR = preg_replace ($patterns, "", $ddate); 
			$ddateR = date('Md',(strtotime ($ddate)));
			echo "<td><font size=\"1\">$ddateR</font><br>$countTotalR</td>\n";
			$ddateArray[] = $ddate;
			}

		$datecount++;
		}

	echo "<td>% Here</td></tr>";
	$query = "SELECT u.id as uid, u.first, u.last, a.$sqlmemid, a.date as adate$sqlExtra FROM $sqlTable a, users u WHERE a.$sqlmemid=u.id$sqlwhere GROUP BY a.$sqlmemid ORDER BY u.last asc, u.first asc";
	$result2 = $connMain->query($query);
	$result2->data_seek(0);

		while ($rc = $result2->fetch_assoc()){
		$ddateArraySql = "";
		$mrid = $rc["uid"];
		$memfirst = $rc["first"];
		$memlast = $rc["last"];
		$mdate = $rc["adate"];

			if ($mrid==1){
			$fullName = "<b>$memfirst</b>";
			}
			else{
			$fullName = "<a href=\"$http/?gid=$mrid\" target=\"_blank\">$memlast, $memfirst</a>";
			}

		echo "<tr><td>$fullName</td>";
		$sqlDates = "";

			foreach ($ddateArray as $key=> $ddateArrayVal){
			$sqlDates = "date ='$ddateArrayVal' or $sqlDates";
			}

		// Find dates present
		$query = "SELECT date$sql2b FROM $sqlTable WHERE $sqlmemid='$mrid' and ($sqlDates date='end') ORDER BY date desc LIMIT 14";
		$result3 = $connMain->query($query);
		$result3->data_seek(0);
		$memCt = 0;

			while ($rcf = $result3->fetch_assoc()){
			$ispresentid = $rcf["date"];
			$SumNrfamily = $rcf["nrfamily"];
			$isMemId = $rcf["memid"];
			$ddateArraySql[] = $ispresentid;

				if ($isMemId!=1){ // No Names
				$SumPresent = ($SumNrfamily + 1);
				}
				else{
				$SumPresent = ($SumNrfamily);
				}

			}

			foreach ($ddateArray as $key=> $ddateArrayVal){
				if (@in_array($ddateArrayVal, $ddateArraySql)) {
				$memCt++;
				echo "<td><font size=\"4\" color=\"#008000\"><a title =\"$SumPresent\">&#x2713</a></font></td>";

				}
				else{
				echo "<td><font size=\"4\" color=\"red\">X</font></td>";
				}
			}
		$percentAttended = ($memCt / $datecount);
		$percentAttended = round($percentAttended * 100);
		echo "<td>$percentAttended%</td></tr>";
		}
	echo "</table>";

	// Javascript graph
	$startD = date('Y-m-01',(strtotime ( '-12 months')));
	$endD = date('Y-m-d',(strtotime ( '-0 month')));

	$query = "select count(id) as crids, date$sql1 from $sqlTable WHERE STR_TO_DATE(date,'%Y-%m-%d') BETWEEN STR_TO_DATE('$startD','%Y-%m-%d') AND STR_TO_DATE('$endD','%Y-%m-%d')$sqlTotalGraph GROUP BY date order by STR_TO_DATE(date,'%Y-%m-%d') asc";
	$result4 = $connMain->query($query);
	$result4->data_seek(0);

		while ($rg = $result4->fetch_assoc()){
		$ct++;
		$cdate = $rg["date"];
		$countV = $rg["crids"];

			if ($getReportType==1){
			$sumfamily = $rg["sumfamily"];
			$countTotal = ($countV + $sumfamily);
			}
			else{
			$countTotal = $countV;
			}

		$cdate = date('M-dS',(strtotime ($cdate)));
		$cdate = preg_replace("/(.{1})/", "$1<br>", $cdate);
		$cdate = preg_replace("/-/", " ", $cdate);
		$jsgraph = "{$jsgraph}\ng.add('$cdate', $countTotal)";
		}

	$startDR = date('M Y',(strtotime ($startD)));
	$endDR = date('M Y',(strtotime ($endD)));
	echo "<br><br><style type=\"text/css\">
		legend {
		background: #2E445E;
		color: #FFF;
		border: solid 1px black;
		-webkit-border-radius: 8px;
		-moz-border-radius: 8px;
		border-radius: 2px;
		padding: 3px;
		}
		fieldset {
		border: dashed 1px #989898;
		background: #F8F8F8;
		-webkit-border-radius: 8px;
		-moz-border-radius: 8px;
		border-radius: 4px;
		}
		select.dynamic {
		font-size:10px; background-color: #e9e9e9; color:#000; padding:5px 7px; border:1px solid #e7dab0; -moz-border-radius: 5px; -webkit-border-radius: 5px;border-radius: 5px 5px; line-height: 11px; }
		}
	</style>
	<fieldset><legend>
	<font size=\"4\">Total $TitleMain<br>$startDR to $endDR</font></legend><br>
	<script type='text/javascript' src='js/wz_jsgraphics.js'></script>
	<script type='text/javascript' src='js/line.js'></script>
	<div id=\"lineCanvas\" style=\"overflow: auto; position:relative;height:400px;width:100%;\"></div>
	<script type=\"text/javascript\">
	var g = new line_graph();
	$jsgraph
	g.render(\"lineCanvas\", \"\");
	</script></fieldset>
	<br><br>$bottomText</div>";
	}
	// Profile changes
	elseif ($getReportType==4){
	$getremovelogid = mysqli_real_escape_string($connMain,$_GET['removelogid']);

		if ($getremovelogid){
		$query = "DELETE from users_updates WHERE id='$getremovelogid' LIMIT 1";
		$queryExec = $connMain->query($query);
		}

	$query = "SELECT * from users_updates ORDER BY id asc";
	$result = $connMain->query($query);
	$result->data_seek(0);

		while ($rc = $result->fetch_assoc()){
		$ddateArraySql = "";
		$mlogid = $rc["id"];
		$mi = $rc["userid"];
		$m1 = $rc["updated_by_id"];
		$m2 = $rc["date"];
		$m3 = $rc["old_address1"];
		$m4 = $rc["old_first"];
		$m5 = $rc["old_last"];
		$m6 = $rc["old_remarks"];
		$m7 = $rc["old_email"];

		// Get current info
		$query = "SELECT address1, first, last, remarks, email_primary from users where id ='$mi' LIMIT 1";
		$result5 = $connMain->query($query);
		$result5->data_seek(0);
		$rn = $result5->fetch_assoc();
		$m3b = $rn["address1"];
		$m4b = $rn["first"];
		$m5b = $rn["last"];
		$m6b = $rn["remarks"];
		$m7b = $rn["email_primary"];

			if ($m3){
			$updateOld = "Old Address: $m3<br>New Address: $m3b<br>";
			}
			if ($m4){
			$updateOld = "{$updateOld}Old &nbsp;First Name: $m4<br>New First Name: $m4b<br>";
			}
			if ($m5){
			$updateOld = "{$updateOld}Old &nbsp;Last Name: $m5<br>New Last Name: $m5b<br>";
			}
			if ($m6){
			$updateOld = "{$updateOld}Old &nbsp;Staff Remarks: $m6<br>New Staff Remarks: $m6b<br>";
			}
			if ($m7){
			$updateOld = "{$updateOld}Old &nbsp;Email: $m7<br>New Email: $m7b<br>";
			}

		echo "<b>Changelog for <a href=\"$http?gid=$mi\">$m4b $m5b</a></b> on $m2<br>$updateOld<a href=\"Reports.php?removelogid=$mlogid&reportType=4\">Remove from Log</a><hr>";
		}
		if (!$mlogid){
		echo "The change log is empty.";
		}
	}

require "html-second.php";
?>
