<?php  
   require('../members.php');
   require('../PDF/fpdf.php');
   require_once("config.php");    
   require_once("classes/dbi_class.php");  

   define("FW_1","0.2")  ;  // Field width 1 
   define("FW_2","3.6")  ;  // Field width 2   
   define("FW_3","5.0")  ;  // Field width 2
   
   $dbi = new databasei() ;
   $appcon = $dbi->opendb() ; 
    if(isset($_GET['receiver_id']))  // Envelope printing for a single contact - other forms
    {
	//$v_pgmid = 'T_PRINTENVELOPE' ; // call from print_envelope.php - AM-CheckNDelete
	//$ismemid = $_GET['sender_id'] ;  // member-id (sender)

	$papertype = 'E' ; // envelope
	$paperorient = 'L' ; // Landscape
 
	if($print_sizeid > 0)
	{
		$query = "select height, width from print_envelopes where id = '1'"; 
		$rs = $appcon->query($query) ;
		$row = $rs ->fetch_array() ;  	
		$rs->close() ;
			
		$paper_width = $row['width'] ;
   		$paper_height = $row['height'] ;
	}

		$fontname = 'Arial' ;
   		$fontsize = 11;
   	$leftmargin = 0.2 ;
   	$topmargin = 0.2 ;
   	
	$query = "select * from users where id =".$_GET['receiver_id']; 

	$rsrcv = $appcon->query($query) ; // $rsrcv is receiver's record set. Used in printing loop
   }
   else  // Envelope/ letterhead printing  - receiver selection form
   {
	$v_pgmid = 'T_INDEX' ; //call from index.php - AM-CheckNDelete

	if(empty($_POST['chkid']))
   	{
		echo "<SCRIPT> alert(\"Error: No contact is selected \") ;
		history.go(-1) </SCRIPT>" ;
   	}
	//$ismemid = $_POST['HDIsmemid'] ; // member-id (sender)
	
	//get papersize from  print_envelope or print_letters  
	$papertype = $_POST['CBPapertype'] ;
   	$print_sizeid = $_POST['CBPapersize'] ; // used to update print_envelopes or print_letters
	$paperorient = 'L' ; //landscape	 
	$query = "select height, width from print_envelopes where id = '1'";
 

   	$rs = $appcon->query($query) ;
   	$row = $rs->fetch_array() ;
   	$paper_width = $row['width'] ;
   	$paper_height = $row['height'] ;
   	$rs->close() ;

	$fontname = $_POST['CBFontname'] ; // Get font name & size
   	$fontsize = $_POST['CBFontsize'] ;
   	$leftmargin = $_POST['EDLeftmargin'] ;
   	$topmargin = $_POST['EDTopmargin'] ;

	$qrystr = "(" ;
   	for($i=0;$i<count($_POST['chkid']);$i++)
   	{
		if($i < count($_POST['chkid']) -1)      
			$qrystr .= $_POST['chkid'][$i].", " ;
	   	else		
			$qrystr .= $_POST['chkid'][$i] ;			
   	}
   	$qrystr .= ")" ;
   	$query = "select id, first, last, address1, address2, city, state, zip from users where id IN ".$qrystr ;  
	$rsrcv = $appcon->query($query) ;   // $rsrcv is receiver's record set. Used in printing loop		
   }
   $image_path = '' ;
     		 
   //select login member's contact information
   $query = "select id, first, last, address1, address2, city, state, zip, thumb ".
                   "from users where id = ".$ismemid  ;

   $rs = $appcon->query($query) ;
   $memrow = $rs->fetch_array() ; // sender's row			
   $rs->close() ;  

   if($_POST['chklogo'] == 'Y')   	//put image in a pdf file 
	$image_path = "logos/logo1.jpg";	
  
   // Must be set before coming here: 
   // $paperorient, $papertype, $paper_width, $paper_height, $leftmargin, $topmargin, $fontname, $fontsize, $image_path

   $pdf= new FPDF($paperorient,'in', array($paper_width,$paper_height));
   $pdf->SetMargins($leftmargin, $topmargin) ;	 
   $pdf->AliasNbPages(); 

		if ($fontname=='Arial' or $fontname=='Courier' or $fontname=='Helvetica' or $fontname=='Times'){
		$pdf->SetFont($fontname,'',$fontsize);  
		}
		else{
		$pdf->AddFont($fontname);
		$pdf->SetFont($fontname,'',$fontsize);  
		}

   while($row = @$rsrcv->fetch_array()) 
   {    
	$pdf->AddPage();
	if($papertype == 'E') // envelope
	{
		if($image_path != '')
		$pdf->Image($image_path,FW_1+0.3,0.16, 1.00, 0.27, '', '', '', true, 25, '', false, false, 0, false, false, false); 
		$pdf->SetLineWidth(12);
		//$pdf->Image($image_path,FW_1,10,8,33);	
		$memrow['first'] = $site_name;
		$memrow['last'] = "";
		$memrow['address1'] = $church_address1;
		$memrow['city']	= $church_address2;
		$memrow['state'] = $church_address3;
		$memrow['zip'] = $church_address4;

		$pdf->Cell(FW_1,0.16,$memrow['first']." ".$memrow['last'],0,1,'L');			 
		$pdf->Cell(FW_1,0.16,$memrow['address1'],0,1,'L'); 
		if($memrow['address2'] != '')
		$pdf->Cell(FW_1,0.16,$memrow['address2'],0,1,'L');
		$pdf->Cell(FW_1,0.16,$memrow['city'].", ".$memrow['state']." ".$memrow['zip'],0,1,'L');
		$pdf->Cell(0.0,1.05,'',0,1,'L');
		$pdf->Cell(FW_2,0.16,'',0,0,'L'); $pdf->Cell(FW_1,0.16,$row['first']." ".$row['last'],0,1,'L');			 
		$pdf->Cell(FW_2,0.16,'',0,0,'L'); $pdf->Cell(FW_1,0.16,$row['address1'],0,1,'L'); 
		if($row['address2'] != '')
		{
			$pdf->Cell(FW_2,0.16,'',0,0,'L'); 
			$pdf->Cell(FW_1,0.16,$row['address2'],0,1,'L');
		}	
		$pdf->Cell(FW_2,0.16,'',0,0,'L'); $pdf->Cell(FW_1,0.16,$row['city'].", ".$row['state']. " ".$row['zip'],0,1,'L');
	}		
   }  //of while $row = $rsrcv->fetch_array()
   $rsrcv->close() ; // close receiver record set

   $pdf->Output();	   //Close and output PDF document
   exit ; // do not return to main form 
?>
