<?php

// ################ Basic settings ################
// Used in maps, footer, contact info, etc.
// Name of website or Church
$site_name = "First Christian Church";
// URL and directory for the folder this is installed. No trailing slash
$http = "http://www.winwhatwhere.com/GraceForLife";
// Street
$church_address1 = "123 Street Name Ave";
// City
$church_address2 = "City Name";
// State Abbreviation
$church_address3 = "IN";
// Zip code
$church_address4 = "12345";

// Emails are sent with these headers.
$email_address = "yourchurchemail@example.org";
$email_signature = "Regards,\n\n$site_name";


// ################### Settings ###################
// Use menu toggle to show or hide the side menu?
$menuToggleOn = 0; // 1 for yes , 0 for no.
// Day to send email notifications to users with weekly settings
$send_weekly_on = "Saturday";


// ################ Database info #################
$connectserver = "localhost";
$data_username = "dbuser"; //database username
$data_password = "dbpassword"; //database password
$data_basename = "dbname"; //database name


// ############### No need to change ###############

$mail_headers = "From: $email_address" . "\r\n" .
"Reply-To: $email_address" . "\r\n" .
"X-Mailer: PHP/" . phpversion();

// ############### Connect to main db ###############
$connMain = mysqli_init();
$connMain->options(MYSQLI_OPT_CONNECT_TIMEOUT, 4);
$connMain->real_connect($connectserver, $data_username, $data_password, $data_basename);
?>
