-- phpMyAdmin SQL Dump
-- version 3.2.4
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Jan 04, 2011 at 07:44 PM
-- Server version: 5.0.91
-- PHP Version: 5.2.9

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `socialjag`
--

-- --------------------------------------------------------

--
-- Table structure for table `address_book`
--

CREATE TABLE IF NOT EXISTS `address_book` (
  `contactid` bigint(20) NOT NULL,
  `memid` bigint(20) NOT NULL,
  `relation` int(11) NOT NULL,
  `inlaw` tinyint(4) NOT NULL default '0',
  `labelid` bigint(20) NOT NULL default '1',
  `hide` tinyint(4) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `address_book`
--

INSERT INTO `address_book` (`contactid`, `memid`, `relation`, `inlaw`, `labelid`, `hide`) VALUES
(10, 10, 0, 0, 1, 0),
(50, 10, 0, 0, 32, 0);

-- --------------------------------------------------------

--
-- Table structure for table `members_contact_info`
--

CREATE TABLE IF NOT EXISTS `members_contact_info` (
  `id` bigint(20) NOT NULL auto_increment,
  `first` text NOT NULL,
  `last` text NOT NULL,
  `address1` text NOT NULL,
  `address2` text NOT NULL,
  `city` text NOT NULL,
  `state` tinytext NOT NULL,
  `zip` varchar(5) NOT NULL,
  `birthday` mediumtext NOT NULL,
  `gender` tinytext NOT NULL,
  `pic` text NOT NULL,
  `thumb` text NOT NULL,
  `banned` text NOT NULL,
  `phone` varchar(20) NOT NULL,
  `cell` varchar(20) NOT NULL,
  `fax` varchar(20) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=63 ;

--
-- Dumping data for table `members_contact_info`
--

INSERT INTO `members_contact_info` (`id`, `first`, `last`, `address1`, `address2`, `city`, `state`, `zip`, `birthday`, `gender`, `pic`, `thumb`, `banned`, `phone`, `cell`, `fax`) VALUES
(10, 'Michael', 'Yanda', '1718 Augusta Dr', '', 'Jeffersonville', 'IN', '47130', '', '1', '10-1292823103_400.jpeg', '10-1292823103_150.jpeg', '0', '', '5025446274', ''),
(50, 'Steve', 'Faux', '182 Continetal Drive ', '', 'Spartanburg', 'SC', '29302', '-64800', '1', '', '', '', '', '', '');

-- --------------------------------------------------------

--
-- Table structure for table `members_data`
--

CREATE TABLE IF NOT EXISTS `members_data` (
  `id` bigint(20) NOT NULL,
  `ip` varchar(255) NOT NULL default '',
  `date` varchar(255) NOT NULL default '',
  `theme` tinyint(4) NOT NULL default '1',
  `workinglabel` bigint(20) NOT NULL,
  `searchdefault` tinyint(4) NOT NULL default '1',
  `d_envelope` int(11) NOT NULL,
  `d_letter` int(11) NOT NULL,
  `expand` tinyint(4) NOT NULL default '1',
  `activationkey` varchar(100) NOT NULL,
  `banned` tinyint(4) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `members_data`
--

INSERT INTO `members_data` (`id`, `ip`, `date`, `theme`, `workinglabel`, `searchdefault`, `d_envelope`, `d_letter`, `expand`, `activationkey`, `banned`) VALUES
(10, '68.63.12.236', '22 Dec 2010', 1, 38, 3, 0, 0, 1, '', 0),
(50, '96.28.56.134', '27 Dec 2010', 1, 0, 1, 0, 0, 1, '666146811116918095', 0);

-- --------------------------------------------------------

--
-- Table structure for table `print_envelopes`
--

CREATE TABLE IF NOT EXISTS `print_envelopes` (
  `id` mediumint(9) NOT NULL auto_increment,
  `name` text collate utf8_unicode_ci NOT NULL,
  `width` float NOT NULL,
  `height` float NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

--
-- Dumping data for table `print_envelopes`
--

INSERT INTO `print_envelopes` VALUES (1, 'Envelope #10', 4.12, 9.5);
INSERT INTO `print_envelopes` VALUES (2, 'Envelope DL', 4.33, 8.66);

-- --------------------------------------------------------

--
-- Table structure for table `print_letters`
--

CREATE TABLE IF NOT EXISTS `print_letters` (
  `id` mediumint(9) NOT NULL auto_increment,
  `name` text collate utf8_unicode_ci NOT NULL,
  `width` float NOT NULL,
  `height` float NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

--
-- Dumping data for table `print_letters`
--
INSERT INTO `print_letters` VALUES (1 , 'A4', '8.27', '11.69');
INSERT INTO `print_letters` VALUES (2 , 'Letter', '8.5', '11');

